# $Id: AOcrayon.pro 29 2009-01-02 13:36:32Z mawerick $
#  AOCrayon - Chat color management tool for Anarchy Online
#  Copyright (C) 2005 - 2010  Mawerick
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
TEMPLATE = app
TARGET = AOcrayon

HEADERS = \
	about_page.h \
    advmode_page.h \
    aocolor.h \
    aocolor_widget.h \
    aocolors.h \
    aocrayon.h \
    basicmode_page.h \
    license_page.h \
    main_window.h \
    settings.h \
    settings_page.h

SOURCES = \
	about_page.cpp \
    advmode_page.cpp \
    aocolor.cpp \
    aocolor_widget.cpp \
    aocolors.cpp \
    basicmode_page.cpp \
    license_page.cpp \
    main.cpp \
    main_window.cpp \
    settings.cpp \
    settings_page.cpp

QT += xml

DEFINES += QT_DLL ALLOW_LEGACY_PREFS

CONFIG += qt warn_on debug_and_release

DESTDIR = build
CONFIG(debug,debug|release) { 
    CONFIG += console
    DEFINES += _DEBUG
    TARGET = $$TARGET"_debug"
}

RESOURCES = resources/AOcrayon.qrc
win32 { 
    RC_FILE = resources/AOcrayon.rc
    thread:DEFINES += QT_THREAD_SUPPORT
}
