/* $Id: license_page.cpp 28 2010-01-02 10:19:10Z mawerick $ */
/*  AOCrayon - Chat color management tool for Anarchy Online
 *  Copyright (C) 2005 - 2010  Mawerick
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "license_page.h"
#include "aocrayon.h"

#include <QtGui>

LicensePage::LicensePage( QWidget *parent )
		: QWidget( parent )
{
	BaseLayout = new QVBoxLayout( this );
	BaseLayout->setSpacing( 3 );
	BaseLayout->setMargin( 5 );

	//QFont font( "Courier", 8 );

	LicenseView = new QTextEdit( this );
	LicenseView->setReadOnly( true );
	//LicenseView->setLineWrapMode( QTextEdit::NoWrap );
	//LicenseView->setFont( font );
	BaseLayout->addWidget( LicenseView );

	QFile LicenseFile( ":/GPL3" );
	if( LicenseFile.open( QIODevice::ReadOnly | QIODevice::Text ) )
	{
		QTextStream LicenseText( &LicenseFile );
		LicenseView->setPlainText( LicenseText.readAll() );
	}
}
